Loading...
Searching...
No Matches
BALL::SpaceGroupParameters Class Reference

`#include <BALL/XRAY/spaceGroupParameters.h>`

Inheritance diagram for BALL::SpaceGroupParameters:

## Public Member Functions

| SpaceGroupParameters ()
virtual | ~SpaceGroupParameters ()
virtual void | clear ()
virtual bool | extractSpaceGroup (Parameters &parameters, const String &space_group)
virtual bool | extractSpaceGroup (Parameters &parameters, const Position iucr_no)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Protected Attributes

std::vector< Matrix4x4 > | symops_
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED

## Detailed Description

SpaceGroupParameters.

Definition at line 21 of file spaceGroupParameters.h.

## Constructor & Destructor Documentation

## SpaceGroupParameters()

BALL::SpaceGroupParameters::SpaceGroupParameters | ( |  | ) |

Default constructor.

## ~SpaceGroupParameters()

virtual BALL::SpaceGroupParameters::~SpaceGroupParameters | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::SpaceGroupParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSpaceGroup() [1/2]

virtual bool BALL::SpaceGroupParameters::extractSpaceGroup | ( | Parameters & | parameters,
|  | const Position | iucr_no )

virtual

## extractSpaceGroup() [2/2]

virtual bool BALL::SpaceGroupParameters::extractSpaceGroup | ( | Parameters & | parameters,
|  | const String & | space_group )

virtual

## Member Data Documentation

## symops_

std::vector<Matrix4x4> BALL::SpaceGroupParameters::symops_

protected

Definition at line 38 of file spaceGroupParameters.h.